

######## This code was constructed under R version: 
## R version 3.6.1 (2019-07-05) -- "Action of the Toes"
## Copyright (C) 2019 The R Foundation for Statistical Computing
## Platform: x86_64-apple-darwin15.6.0 (64-bit)


mainDir = "~/Desktop/ROR utkast /ROR paper 2021.04.13/tilSubmition/kodeTilSubmition/"
setwd(mainDir)

###################################

if (!requireNamespace("gdata", quietly = TRUE))
  install.packages("gdata")
library(gdata)

#if (!requireNamespace("BiocManager", quietly = TRUE))
#  install.packages("BiocManager")
#BiocManager::install("genefu")
#a
#Yes
library(genefu)

#########################################################################
#########################################################################
#########################################################################

subtypeNames = c("Basal-like", "HER2-enriched", "Luminal A", "Luminal B", "Normal-like")

###### Calculations on the macrodissected gene expression data: 
commandArgs <- function(...) c("macro", "geneExpression_macro_PAM50.tsv" )
source("code/01.prolifScore.R") 
source("code/02.PAM50_subtyping.R") 
source("code/03.genefu.R") 

commandArgs <- function(...) c("macro", "Suppl_table1_clinicalInfo_2021.04.07.txt" )
source("code/04.RORcalculations.R") 

#################################################################################
###### Calculations on the fresh frozen bulk gene expression data: 
commandArgs <- function(...) c("bulk", "geneExpression_bulk_PAM50.tsv")
source("code/01.prolifScore.R") 
source("code/02.PAM50_subtyping.R") 
source("code/03.genefu.R") 

commandArgs <- function(...) c("bulk", "Suppl_table1_clinicalInfo_2021.04.07.txt" )
source("code/04.RORcalculations.R") 


#################################################################################
# the following script combines macro and bulk calculations into one annotation file and print Figure 2 and 3 in the paper. 
commandArgs <- function(...) c("Suppl_table1_clinicalInfo_2021.04.07.txt")
source("code/05.combineAnnotInfo.R")
source("code/06.paperFigures_Tables.R")


###
